import axios from 'axios';
const baseUri = '/lakeLibrary/lakeSpecialDict'


export const list  = `${baseUri}/specialDictPage`
// 添加
export const addSpecialDict = function (data) {
    return axios.post(`${baseUri}/addSpecialDict`,data)
}
// 修改
export const modifySpecialDict = function (data) {
    return axios.post(`${baseUri}/modifySpecialDict`,data)
}
// 删除
export const batchRemove = function (data) {
    return axios.post(`${baseUri}/batchRemove`,data)
}
// 复制
export const specialDictCopy = function (data) {
    console.log('data',data)
    return axios.post(`${baseUri}/specialDictCopy`,data)
}
// 详情
export const queryById = function (column) {
    return axios.get(`${baseUri}/queryById`,{params:{column}})
}
// 获取年份下拉
export const getYear = function () {
    return axios.get(`${baseUri}/getYear`)
}
